View Issue Details

IDProjectCategoryView StatusLast Update
07747Bug reportsSurvey editingpublic2013-04-23 16:30
Reporterluayessa Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.00+ 
Fixed in Version2.00+ 
Summary07747: Inserting new answer option on the non-default language causes a javascript error
DescriptionIf you tried to insert a new answer option in a Radio List question, everything goes well, but if tried to do the same thing on the non default Language tab, a javascript error raised.
Steps To ReproduceLogin to Administrator section.
Create a new survey where the base language is English and the second language is Arabic

Create a new Radio List question type.
Click on "Edit answer options for this question" menu item
Click on the "Arabic" tab
Click on "insert a new answer option after this one"

Now a javascript error happens
TagsNo tags attached.
Complete LimeSurvey version number (& build)130406
I will donate to the project if issue is resolvedNo
BrowserFirefox v20
Database & DB-VersionMysql 5
Server OS (if known)Linux Mint
Webserver software & version (if known)Apache 2
PHP VersionPHP 5

Activities

c_schmitz

c_schmitz

2013-04-21 22:30

administrator   ~25013

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12317
c_schmitz

c_schmitz

2013-04-21 22:30

administrator   ~25014

Insert and delete should not appear on the non-base-language tabs.
c_schmitz

c_schmitz

2013-04-23 16:30

administrator   ~25091

2.00+ Build 130424 release

Related Changesets

LimeSurvey: master 983815bd

2013-04-21 20:30:06

c_schmitz

Details Diff
Fixed issue 07747: Inserting new answer option on a non-default language tab causes a JavaScript error Affected Issues
07747
mod - application/views/admin/survey/Question/answerOptions_view.php Diff File
mod - scripts/admin/answers.js Diff File

Issue History

Date Modified Username Field Change
2013-04-09 12:52 luayessa New Issue
2013-04-21 22:29 c_schmitz Assigned To => c_schmitz
2013-04-21 22:29 c_schmitz Status new => assigned
2013-04-21 22:30 c_schmitz Changeset attached => LimeSurvey master 983815bd
2013-04-21 22:30 c_schmitz Note Added: 25013
2013-04-21 22:30 c_schmitz Resolution open => fixed
2013-04-21 22:30 c_schmitz Note Added: 25014
2013-04-21 22:30 c_schmitz Status assigned => resolved
2013-04-21 22:30 c_schmitz Fixed in Version => 2.00+
2013-04-23 16:30 c_schmitz Note Added: 25091
2013-04-23 16:30 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing